require("menu")
require("jogo")

function imagem( nome )
  return love.graphics.newImage('rsc/'..nome)
end

function desenhar(img,x,y)
  love.graphics.draw(img,x,y)
end

function boxCollision(a, b)
  return a.x + a.w > b.x and a.x < b.x + b.w and
  a.y + a.h > b.y and a.y < b.y + b.h
end

function love.load()
  tela_jogo = "menu"
  menu.load()
  love.window.setTitle("A culpa é das estrelas")
  gameicon = love.image.newImageData("rsc/gameicon.png")
  love.window.setIcon(gameicon)
end


function love.update(dt)
  if tela_jogo == "jogo" then
    jogo.update(dt)
  end
end


function love.draw()
  if tela_jogo == "menu" then
    menu.draw()
  end
  if tela_jogo == "jogo" then
    jogo.draw()
  end  
end


function love.keypressed(key)
  -- Caso a tela "Esc"(escape) for apertada, o jogo encerra.
  if key == "escape" then 
     tela_jogo = "menu"
  end
end

function insideBox( px, py, x, y, wx, wy )
  if px > x and px < x + wx then
    if py > y and py < y + wy then
      return true
    end
  end
  return false
end

function love.mousepressed( x, y, button )
  if tela_jogo == "menu" then
    menu.mouse(x,y,button)
  end
end

function love.keypressed(key)
  if tela_jogo == "menu" and key == "escape" then
    love.event.quit()
  end
  if tela_jogo == "jogo" and key == "escape" then
    tela_jogo = "menu"
  end
end